Skip to main content
GET
/
v1
/
pricing_locations
/
nearby
List nearby pricing locations
curl --request GET \
  --url https://api.gridcertainty.com/v1/pricing_locations/nearby \
  --header 'x-api-key: <api-key>'
[
  {
    "gs_entity_id": "<string>",
    "location": "<string>",
    "market_id": "<string>",
    "distance_in_miles": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.gridcertainty.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

isos
string
default:ercot

Comma-separated ISO codes. The first value is used as the market code.

limit
integer

Optional limit for returned rows.

latitude
number

Latitude used to find nearby locations.

longitude
number

Longitude used to find nearby locations.

gs_entity_id
string

Known location id to use as the nearby search anchor.

Response

200 - application/json

Nearby pricing locations

gs_entity_id
string
location
string
market_id
string | null
distance_in_miles
number | null